package org.jeecg.modules.checkData.equipmentCheckData.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 设备检查记录主表
 * </p>
 *
 * @author hkl
 * @since 2023-07-07
 */
@Getter
@Setter
@TableName("t_ek_records_master_check")
@ApiModel(value = "RecordsMasterCheck对象", description = "设备检查记录主表")
public class RecordsMasterCheck implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId("id")
    private String id;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建日期")
    @TableField("create_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    @Excel(name = "检查批次编号", width = 15, orderNum = "1")
    @ApiModelProperty("检查批次编号")
    @TableField("ek_code")
    private String ekCode;

    @ApiModelProperty("工单编号")
    @TableField("work_code")
    @Excel(name = "工单编号", width = 15, orderNum = "2")
    private String workCode;

    @ApiModelProperty("检查区间id")
    @TableField("subway_section_id")
    private String subwaySectionId;

    @ApiModelProperty("检查区间名称")
    @TableField("subway_section_name")
    @Excel(name = "检查区间", width = 15, orderNum = "3")
    private String subwaySectionName;

    @ApiModelProperty("所属线路id")
    @TableField("light_rail_id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    @TableField("light_rail_name")
    @Excel(name = "所属线路", width = 15, orderNum = "4")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    @TableField("line_alias_id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    @TableField("line_alias_name")
    @Excel(name = "所属线路", width = 15, orderNum = "5")
    private String lineAliasName;

    @ApiModelProperty("起始里程")
    @TableField("starting_mileage")
    @Excel(name = "起始里程", width = 15, orderNum = "6")
    private BigDecimal startingMileage;

    @ApiModelProperty("终点里程")
    @TableField("end_mileage")
    @Excel(name = "终点里程", width = 15, orderNum = "7")
    private BigDecimal endMileage;

    @ApiModelProperty("备注")
    @TableField("remark")
    @Excel(name = "备注", width = 15, orderNum = "12")
    private String remark;

    @ApiModelProperty("检查人姓名")
    @TableField("check_by")
    @Excel(name = "检查人姓名", width = 15, orderNum = "8")
    private String checkBy;

    @ApiModelProperty("检查日期")
    @TableField("check_time")
    @Excel(name = "检查日期", width = 15, format = "yyyy-MM-dd", orderNum = "9")
    private Date checkTime;

    @ApiModelProperty("审核人姓名")
    @TableField("verify_by")
    @Excel(name = "审核人姓名", width = 15, orderNum = "10")
    private String verifyBy;

    @ApiModelProperty("审核时间")
    @TableField("verify_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核日期", width = 15, format = "yyyy-MM-dd", orderNum = "11")
    private Date verifyTime;

    @ApiModelProperty("是否删除（0：未删除；1：已删除）")
    @TableField("del_flag")
    private String delFlag;


}
